apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
resources:
  - ./namespace.yaml
  - ./ingressroute.yaml
  - ./oauth2-proxy-credentials.secret.yaml
  - ../../../../apps/oauth2-proxy/
configMapGenerator:
  - name: oauth2-proxy-values
    namespace: flux-system
    files:
      - values.yaml=values.yaml
configurations:
  - kustomizeconfig.yaml
